Rilasciato Google Gadget for Linux. Installiamolo su Ubuntu, Kubuntu e Xubuntu

L’impegno di Google, nel portare le sue principali applicazioni su Linux continua. Dopo Google Desktop, Picasa e Google Earth, pochi giorni fa è stata rilasciata anche la versione Gnu/Linux di Google Gadgets. Googler Gadget for Linux fornisce una piattaforma Open Source per i desktop gadget, sia quelli sviluppati per la versione Windows di Google Desktop che gli Universal Gadgets di iGoogle. In realtà un modo per tenere i Google Gadgets su Linux, l’avevamo già visto in questo articolo, grazie a Screenlets. Oggi vedremo come installare Google Gadget for Linux, su Ubuntu e Kubuntu. La procedura è la stessa, anche se poi si può scegliere se avviare la versione GTK (GNOME) o quella QT (KDE). Ecco il procedimento.

Installazione

Scaricate da qui i sorgenti del programma

Soddisfate queste dipendenze:

sudo apt-get -y install libtool automake autoconf libxul-dev libghc6-mozembed-dev libcurl4-gnutls-dev libxml2-dev zlib1g-dev xulrunner xulrunner-1.9-dev libgtk2.0-dev libcairo2-dev libdbus-1-dev libdbus-glib-1-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev libqt4-dev

Estraete l’archivio, spostatevi nella cartella del programma e date:

./configure –prefix=/usr
make
sudo make install

Se non vi da errori di compilazione potete avviare il programma schiacciando ALT+F2 e digitando: ggl-gtk (gli utenti GNOME) o ggl-qt (gli utenti KDE). Gli utenti Xfce possono tranquillamente usare la versione GTK. Apparirà così una nuova icona sul pannello, nell’area di notifica; per aggiungere i gadgets cliccateci sopra col destro ed andate su Add gadgets. Apparirà una finestra con centinaia di widgets, scegliete quella che preferite ed avviatela con cliccando su add.

Articoli correlati:

È disponibile il pacchetto deb di Google Gadgets for Linux

Screenlets 0.1. I Google gadgets e le web widgets sul nostro desktop

Installare facilmente l’ultima versione di Google Earth per Linux

Prism: le Web Apps sul nostro desktop. Con Ubuntu 8.04 sarà ancora più semplice

Rilasciata l’alpha di Adobe AIR per Linux: ecco come installarla

Annunci

18 Risposte to “Rilasciato Google Gadget for Linux. Installiamolo su Ubuntu, Kubuntu e Xubuntu”

  1. Quando lo eseguo
    Not a regular file: /
    Initialize default_framework extension.
    Initialize gtk_edit_element extension.
    Initialize gtkmoz_browser_element extension.
    Initialize gst_mediaplayer_element extension.
    Initialize gtk_system_framework extension.
    Initialize gst_audio_framework extension.
    org.freedesktop.NetworkManager.NoDevices: There are no available network devices.
    No slot registered to handle this reply.
    No slot registered to handle this reply.
    Demarshal failed. Type dismatch, message type: , expected: s
    Demarshal failed. Type dismatch, message type: , expected: s
    Initialize linux_system_framework extension.
    Initialize smjs_script_runtime extension.
    Register smjs_script_runtime extension.
    Call DBusWatchCallBack, watch id: 4
    Call DBusWatchCallBack, watch id: 6
    Failed to update gadget metadata. Will retry after 7200000ms

    non mi carica i gadget quando faccio add gadget…

  2. Gli utenti Xfce stanno a guardare o possono usare
    la versione gtk?

  3. X reia2k, no non devono assolutamente stare a guardare, possono usare la versione gtk. Ora lo aggiungo all’articolo. Ciao

  4. A me quando do il comando:libxul-dev libghc6-mozembed-dev libcurl4-gnutls-dev mi dice:bash: libxul-dev: command not found
    Non posso continuare…Come mai mi dice command not found?

  5. XRaffaele : infatti, sudo apt-get -y install libtool automake autoconf libxul-dev libghc6-mozembed-dev libcurl4-gnutls-dev libxml2-dev zlib1g-dev xulrunner xulrunner-1.9-dev libgtk2.0-dev libcairo2-dev libdbus-1-dev libdbus-glib-1-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev libqt4-dev
    è un comando unico. Ciao

  6. non c’è nei repository? non posso scaricare il tutto comodamente da synaptic?

  7. Intanto Grazie per la notizia

    Qualcuno ha gia pacchettizato per synaptic
    https://launchpad.net/~googlegadgets/+archive

    se avete modo di usatre il synaptic inserite queste 2 riche in /etc/apt/sources.list,
    deb http://ppa.launchpad.net/googlegadgets/ubuntu hardy main
    deb-src http://ppa.launchpad.net/googlegadgets/ubuntu hardy main

    date un sudo apt.get updare
    e poi da synaptic vi cercate il pacchetto “gadget” in base all’origine e ve lo fate installare senza difetti.

    IMHO poi rientrerei in sources.list e metterei davanti ogniuna delle due righe il #

    provato su Ubuntu 8.04

    Dimenticavo per avviare il programma digitare ggl-gtk da telminale o su un lanciatore.

    Ciao

  8. X Barnybx: grazie dell’informazione, e complimenti per la prontezza dato che è stato pacchettizzato da poche ore.

  9. massimo valerio Says:

    Ho seguito sia le istruzioni da pacchetto ( mi trova il comando ggl-dgk ma non lancia nulla) che da repository ( quando do ggl-gdk mi dice che non trova il programma)ma non funziona nulla.

  10. X Massimo, il comando è ggl-gtk

  11. massimo valerio Says:

    grazie mille ferro

    Scusatemi sono riuscito a farlo partire inserendo tutto il path
    /usr/local/bin/ggl-gtk.( da repository)
    ma ore ho un altro problema :
    quando gli dico add gadget
    lui mi apre una videata e mi dice
    -failed to update gadget data please try again later –

    qualcuno a qualche consiglio dato che ho provato più volte ma da sempre
    la stessa videata di fallito update?

    grazie

  12. Figurati massimo, puoi dare un occhiata in questa sezione del sito del progetto:
    http://code.google.com/p/google-gadgets-for-linux/wiki/HowToBuild
    e nella sezione issues. Ma che distribuzione usi?

  13. massimo valerio Says:

    uso ubuntu hardy heron 8.04.
    ho letto un po il link che mi hai inviato
    altri sembrano avere il mio problema ma non sono molti
    solo che con l’inglese non son un madre lingua.
    Sembra problemi di permessi e di cartelle per l’update
    ma non ci giurerei

  14. massimo valerio Says:

    http://code.google.com/p/google-gadgets-for-linux/issues/detail?id=104

    sembra un problema di certificati ma non ne riesco a venire a capo

    please please help me

  15. Scusa sai se c’è un modo per associare un tasto per farlo scomparire e apparire a piacimento?

  16. Per chi ha problemi di trasparenza sui gadgets (io sono sotto Kubuntu 8.04) usate xcompmgr e dovrete risolvere…

  17. scusate………………. io ho un 7.10…… e l’aggiornatore non mi funziona…. posso anch’io installare google-gadgets?
    Ho seguito questa guida e quando lo lancio mi dice:
    Not a regular file: /
    Initialize default_framework extension.
    Initialize gtk_edit_element extension.
    Initialize gtkmoz_browser_element extension.
    Initialize gst_mediaplayer_element extension.
    Initialize gtk_system_framework extension.
    Initialize gst_audio_framework extension.
    Demarshal failed. Type dismatch, message type: , expected: s
    No slot registered to handle this reply.
    No slot registered to handle this reply.
    No slot registered to handle this reply.
    org.freedesktop.DBus.Error.UnknownMethod: Method “GetProperty” with signature “s” on interface “org.freedesktop.Hal.Manager” doesn’t exist

    Initialize linux_system_framework extension.
    Initialize smjs_script_runtime extension.
    Failed to load module curl-xml-http-request
    Register smjs_script_runtime extension.
    Call DBusWatchCallBack, watch id: 8
    Call DBusWatchCallBack, watch id: 10
    No slot registered to handle this reply.
    No slot registered to handle this reply.
    Segmentation fault (core dumped)

    Grazie mille in anticipo
    Ulisse

Rispondi

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger hanno fatto clic su Mi Piace per questo: